Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 130582 - String Escape Sequence Highlighting
String Escape Sequence Highlighting
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Rastislav Komara
issues@javafx
http://wiki.netbeans.org/JavaFXEditor...
:
Depends on:
Blocks: 130138
  Show dependency treegraph
 
Reported: 2008-03-19 22:24 UTC by David Strupl
Modified: 2008-04-07 18:15 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2008-03-19 22:24:51 UTC
String Escape Sequence Highlighting
Comment 1 Victor Vasilyev 2008-03-20 15:46:25 UTC
Please, verify this issue against the latest build from the trunk, and close it if all are OK.

Otherwise, please, provide detailed specification about _ALL_ String Escape Sequences that must be highlighted in the
"String Literals" section located here:
http://wiki.netbeans.org/JavaFXPluginHighlightingSpecification#section-JavaFXPluginHighlightingSpecification-StringLiterals
This part of specification should be following the words:
"Requirement: All String Escape Sequences inside a string literal should be highlighted."
Comment 2 David Strupl 2008-04-03 09:08:23 UTC
Hello,

this does not seem like implemented in my current build.

Please try typing " \uabcd \b \n " in the java editor and in the fx editor. I guess the result should be similar.

I am not sure about JFX but for java the escape sequences are defined here
http://java.sun.com/docs/books/jls/second_edition/html/lexical.doc.html
in section 3.10.6 + \u which is covered elsewhere in the spec.

Rasta said he knows where to look for the implementation --> assigning to him ;-)

David
Comment 3 Rastislav Komara 2008-04-07 09:39:01 UTC
Fixed: changeset: 11885:41dd4afba903
Comment 4 Lark Fitzgerald 2008-04-07 18:15:07 UTC
Verified using:
Product Version: NetBeans IDE Dev (Build 200804010004)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows Vista version 6.0 running on x86; Cp1252; en_US (nb)

Plugin: CB#312 (2008-04-07_14-26-18.zip)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo